# DARestoreAdicArray

Restores an array of derivative types for a DA

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DARestoreAdicArray(DA da,PetscTruth ghosted,void **iptr,void **array_start,PetscInt *tdof)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch

### Output Parameters

| ptr | - array data structured to be passed to ad_FormFunctionLocal()
| array_start | - actual start of 1d array of all values that adiC can access directly
| tdof | - total number of degrees of freedom represented in array_start

### See Also

DAGetAdicArray()

Level:advanced
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages